From 5ba9fa4930b347aea8817da444bea5a88971079a Mon Sep 17 00:00:00 2001
From: Michael Orlitzky <michael@orlitzky.com>
Date: Sat, 7 Aug 2021 11:43:29 -0400
Subject: [PATCH 1/1] configure: hack out old GCC-4.x test.

The Givaro ./configure script fails to detect modern versions of GCC,
instead deciding that they must be gcc-4.8. As a result, we wind up
with "-fabi-version=6" in CXXFLAGS, which then gets propagated to
users of "givaro-config --cflags", like fflas-ffpack.

This is already fixed upstream, but not in a release, and not in a
way that I care to backport. Here we just hack the configure script
directly since the change is so trivial.
---
 configure | 5 -----
 1 file changed, 5 deletions(-)

diff --git a/configure b/configure
index 1eb75b0..f3bbb52 100755
--- a/configure
+++ b/configure
@@ -17172,11 +17172,6 @@ fi
 
 echo "-----------------------------------------------"
 
-if test "x$CCNAM" = "xgcc48"; then :
-  REQUIRED_FLAGS="${REQUIRED_FLAGS} -fabi-version=6"
-fi
-
-
 
 # Machine characteristics
 
-- 
2.31.1

